%define name	nil
%define title	NiL
%define version	000516
%define release %mkrel 26
%define prefix	%{_prefix}
%define summary	%{title} Isn't Liero
%define group	Games/Arcade
%define icon	%{name}.png

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		%{group}
Source:		http://dl.sf.net/nil/%{name}-%{version}.tar.bz2
Source10:	%{name}.16.png.bz2
Source11:	%{name}.32.png.bz2
Source12:	%{name}.48.png.bz2
Patch0:		nil-add-pkgdatadir.patch
Patch1:		nil-000516-i18ned-keys.patch
Patch2:		nil-remove-debug-printings.patch
Patch3: nil-000516-gcc31.patch
Patch4:		nil-64.patch
Patch5:		nil-000516-gcc43.patch
Patch6:		nil-gcc44.patch
URL:		http://nil.sf.net/
BuildRequires:	SDL-devel 
BuildRequires:  SDL_mixer-devel 
BuildRequires:  zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
From the author : "The game itself can be described either as Quake in 2D or 
worms done right (ie not turn based), the basic game play is kill kill kill, 
with a wide selection of interesting weapons."

This game is no more under development and was never completed. Similar games
of interest exist : openlierox, hedgewars... 

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
cd nil
autoreconf -fi
%configure2_5x
make

%install
rm -fr %buildroot
mkdir -p %{buildroot}{%{_bindir},%{_datadir}/nil}
cp nil/nil/nil %{buildroot}/%{_bindir}
cp -a gfx %{buildroot}/%{_datadir}/nil
rm -rf %{buildroot}/%{_datadir}/nil/gfx/{CVS,*/CVS,*/*/CVS,*/*/*/CVS}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{icon}  
Categories=Game;ArcadeGame;
Name=%{title}  
Comment=%{summary}
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
bzcat %{SOURCE10} > %{buildroot}%{_miconsdir}/%{icon}
bzcat %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon}
bzcat %{SOURCE12} > %{buildroot}%{_liconsdir}/%{icon}

rm -rf %{buildroot}%{_datadir}/nil/gfx/original/fonts/ttf

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS docs/*.txt docs/TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{icon}
%{_iconsdir}/%{icon}
%{_liconsdir}/%{icon}




%changelog
* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 000516-26mdv2011.0
+ Revision: 633699
- fix build with latest gcc

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.0 packages

  + Samuel Verschelde <stormi@mandriva.org>
    - added a word in the description to tell that the game is no more under development and alternatives exist

* Sat May 16 2009 Samuel Verschelde <stormi@mandriva.org> 000516-24mdv2010.0
+ Revision: 376410
- fix build
- fix license
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 000516-21mdv2008.1
+ Revision: 132316
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- BuildRequires autoconf2.1
- buildrequires X11-devel instead of XFree86-devel


* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 000516-21mdv2007.0
+ Revision: 90043
- Fix build on x86_64
- Import nil

* Wed Apr 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 000516-21mdk
- Fix BuildRequires
- use mkrel

* Sat Jul 10 2004 Michael Scherer <misc@mandrake.org> 000516-20mdk 
- rebuild for new gcc34

